DirtiesContext.ClassMode (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.test.annotation

## Enum DirtiesContext.ClassMode

- java.lang.Object
- - java.lang.Enum<DirtiesContext.ClassMode>
  - - org.springframework.test.annotation.DirtiesContext.ClassMode

- All Implemented Interfaces:
    Serializable, Comparable<DirtiesContext.ClassMode>
  Enclosing class:
    DirtiesContext

      public static enum DirtiesContext.ClassMode
      extends Enum<DirtiesContext.ClassMode>

  Defines modes which determine how `&#064;DirtiesContext` is interpreted when used to annotate a test class.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER_CLASS` The associated `ApplicationContext` will be marked as dirty after the test class.
    `AFTER_EACH_TEST_METHOD` The associated `ApplicationContext` will be marked as dirty after each test method in the class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DirtiesContext.ClassMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DirtiesContext.ClassMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFTER_CLASS

          public static final DirtiesContext.ClassMode AFTER_CLASS

      The associated `ApplicationContext` will be marked as dirty after the test class.

    - #### AFTER_EACH_TEST_METHOD

          public static final DirtiesContext.ClassMode AFTER_EACH_TEST_METHOD

      The associated `ApplicationContext` will be marked as dirty after each test method in the class.

  - ### Method Detail

    - #### values

          public static DirtiesContext.ClassMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DirtiesContext.ClassMode c : DirtiesContext.ClassMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DirtiesContext.ClassMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null